Bug 180685 - cdrtools fails to build in rawhide
cdrtools fails to build in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 15:21 EST by Jesse Keating
Modified: 2013-01-09 21:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 19:15:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-02-09 15:21:50 EST
Please see:
http://porkchop.redhat.com/beehive/logs/cdrtools-699427-ppc-js20-bc2-12.build.redhat.com.log

In file included from /usr/include/stdio.h:847,
                 from printf.c:33:
/usr/include/bits/stdio-ldbl.h:25: error: 'fprintf' undeclared here (not in a
function)
/usr/include/bits/stdio-ldbl.h:26: error: 'printf' undeclared here (not in a
function)
make[2]: *** [OBJ/ppc-linux-cc/printf.o] Error 1
Comment 1 Jakub Jelinek 2006-02-13 01:50:08 EST
This is cdrtools bug, what libschilly does leads to undefined behaviour, apps
just can't redefine symbols reserved for particular standard header and expect
things to work.

Note You need to log in before you can comment on or make changes to this bug.